using System.Collections.Generic;
using LitJson;

namespace Wizard;

public class PracticePuzzleMissionListTask : BaseTask
{
	public List<PracticePuzzleMissionData> MissionData { get; private set; }

	public PracticePuzzleMissionListTask()
	{
		base.type = ApiType.Type.PracticePuzzleMissionList;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		MissionData = new List<PracticePuzzleMissionData>();
		JsonData jsonData = base.ResponseData["data"];
		for (int i = 0; i < jsonData.Count; i++)
		{
			MissionData.Add(new PracticePuzzleMissionData(jsonData[i]));
		}
		return num;
	}
}
